import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizvideo/` + url, ...arg)

/**
 * 视频配置Api接口管理器
 *
 * @author fanzherong
 * @date  2025/02/17 10:05
 **/
export default {
	// 获取视频配置分页
	bizVideoPage(data) {
		return request('page', data, 'get')
	},
	// 获取视频配置列表
	bizVideoList(data) {
		return request('list', data, 'get')
	},
	// 提交视频配置表单 edit为true时为编辑，默认为新增
	bizVideoSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除视频配置
	bizVideoDelete(data) {
		return request('delete', data)
	},
	// 获取视频配置详情
	bizVideoDetail(data) {
		return request('detail', data, 'get')
	},
	getVideoUrl(data){
		return request('getVideoUrl',data,'get')
	}
}
